Bug 1411438 - Review Request: arc-theme - Flat theme with transparent elements
Summary: Review Request: arc-theme - Flat theme with transparent elements
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christian Dersch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-09 17:38 UTC by Björn 'besser82' Esser
Modified: 2017-01-19 06:20 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-12 05:24:45 UTC
Type: ---
lupinix.fedora: fedora-review+


Attachments (Terms of Use)

Description Björn 'besser82' Esser 2017-01-09 17:38:13 UTC
Description:

  Arc is a flat theme with transparent elements for GTK 3, GTK 2 and
  Gnome-Shell which supports GTK 3 and GTK 2 based desktop environments
  like Gnome, Cinnamon, Budgie, Pantheon, XFCE, Mate, etc.


Koji Build:

  https://koji.fedoraproject.org/koji/taskinfo?taskID=17223697


Issues:

   No issues spotted.


FAS-User:

  besser82


Urls:

  Spec URL:  https://besser82.fedorapeople.org/review/arc-theme.spec
  SRPM URL:  https://besser82.fedorapeople.org/review/arc-theme-20161119-0.1.fc26.src.rpm


Thanks for review in advance!

Comment 1 Christian Dersch 2017-01-09 19:46:53 UTC
Taken

Comment 2 Christian Dersch 2017-01-09 20:02:47 UTC
Not approved, please fix the directory ownership for folder owned by plank.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 62 files have unknown license. Detailed
     output of licensecheck in /home/review/1411438-arc-
     theme/licensecheck.txt
[!]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by:
     /usr/share/plank/themes(plank), /usr/share/plank(plank)
==> arc-theme provides a theme for plank, but the package should only own the
    folder containing the arc theme, not the whole /usr/share/plank

[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: Package should compile and build into binary rpms on all supported
     architectures.
==> is noarch

[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Package should not use obsolete m4 macros
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: arc-theme-20161119-0.1.fc26.noarch.rpm
          arc-theme-20161119-0.1.fc26.src.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
1 packages and 0 specfiles checked; 0 errors, 0 warnings.



Requires
--------
arc-theme (rpmlib, GLIBC filtered):
    filesystem
    gnome-themes-standard
    gtk-murrine-engine



Provides
--------
arc-theme:
    arc-theme



Source checksums
----------------
https://github.com/horst3180/arc-theme/archive/20161119.tar.gz#/arc-theme-20161119.tar.gz :
  CHECKSUM(SHA256) this package     : a470ab33b1ad2b4ba280e61f0e1c4f8d4973ceccc84dc2db1e37fae66b5770cd
  CHECKSUM(SHA256) upstream package : a470ab33b1ad2b4ba280e61f0e1c4f8d4973ceccc84dc2db1e37fae66b5770cd


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -v -L rpm_deps/ -m fedora-rawhide-x86_64 -b 1411438
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 3 Björn 'besser82' Esser 2017-01-09 20:13:42 UTC
(In reply to Christian Dersch from comment #2)
> Not approved, please fix the directory ownership for folder owned by plank.
> 
> ---8<---
> 
> [!]: Package does not own files or directories owned by other packages.
>      Note: Dirs in package are owned also by:
>      /usr/share/plank/themes(plank), /usr/share/plank(plank)
> ==> arc-theme provides a theme for plank, but the package should only own the
>     folder containing the arc theme, not the whole /usr/share/plank
> 
>  ---8<---

Well, I don't think it's really neccessary to pull in a whole application just to fullfill the dir-ownership;  the theme enhances Plank, but Plank is not needed to make the theme useable for the broader audience.

Comment 4 Christian Dersch 2017-01-09 20:24:23 UTC
replace %{_datadir}/plank by %{_datadir}/plank/themes/Arc to avoid owning of planks directory.

Comment 5 Björn 'besser82' Esser 2017-01-09 20:36:46 UTC
# Updated spec.

%changelog

  * Mon Jan 09 2017 Björn Esser <bjoern.esser@gmail.com> - 20161119-0.2
  - Add plank-subpkg and require Plank (rhbz#1411438)

  * Mon Jan 09 2017 Björn Esser <bjoern.esser@gmail.com> - 20161119-0.1
  - Initial package (rhbz#1411438)


Koji Build:

  https://koji.fedoraproject.org/koji/taskinfo?taskID=17225121


Urls:

  Spec URL:  https://besser82.fedorapeople.org/review/arc-theme.spec
  SRPM URL:  https://besser82.fedorapeople.org/review/arc-theme-20161119-0.2.fc26.src.rpm

Comment 6 Christian Dersch 2017-01-09 20:43:40 UTC
Looks great now, approved!

Comment 7 Gwyn Ciesla 2017-01-10 14:38:26 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/arc-theme

Comment 8 Fedora Update System 2017-01-10 15:19:04 UTC
arc-theme-20161119-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-0b2abab9a3

Comment 9 Fedora Update System 2017-01-10 15:19:12 UTC
arc-theme-20161119-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-26eb572a83

Comment 10 Fedora Update System 2017-01-11 03:21:56 UTC
arc-theme-20161119-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-0b2abab9a3

Comment 11 Fedora Update System 2017-01-11 03:49:10 UTC
arc-theme-20161119-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-26eb572a83

Comment 12 Fedora Update System 2017-01-12 05:24:45 UTC
arc-theme-20161119-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2017-01-19 06:20:31 UTC
arc-theme-20161119-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.